<?php

namespace Drupal\do_username\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Validation constraint for UserName items to ensure the format is correct.
 *
 * @Constraint(
 *   id = "DoUsernameFormat",
 *   label = @Translation("Valid UserName format.", context = "Validation"),
 * )
 */
class UsernameFormatConstraint extends Constraint {

  public $spaceBeginMessage = 'The username cannot begin with a space.';
  public $spaceEndMessage = 'The username cannot end with a space.';
  public $multipleSpacesMessage = 'The username cannot contain multiple spaces in a row.';
  public $illegalMessage = 'The username contains an illegal character.';
  public $tooLongMessage = 'The username %name is too long: it must be %max characters or less.';

}
